CGAL 6.0.2 - Planar Parameterization of Triangulated Surface Meshes

Loading...
Searching...
No Matches
List of all members | Protected Member Functions
CGAL::Surface_mesh_parameterization::Circular_border_arc_length_parameterizer_3< TriangleMesh_ > Class Template Reference
Triangulated Surface Mesh Parameterization Reference » Border Parameterization Methods

`#include <CGAL/Surface_mesh_parameterization/Circular_border_parameterizer_3.h>`

## Inherits from

CGAL::Surface_mesh_parameterization::Circular_border_parameterizer_3< TriangleMesh_ >.

## Definition

template<class TriangleMesh_>
class CGAL::Surface_mesh_parameterization::Circular_border_arc_length_parameterizer_3< TriangleMesh_ >

This class parameterizes the border of a 3D surface onto a circle, with an arc-length parameterization: the `(u,v)` values are proportional to the length of border edges.

The class `Circular_border_parameterizer_3` implements most of the border parameterization algorithm.

Is model of
  `Parameterizer_3`

Template Parameters

  TriangleMesh_ | must be a model of `FaceGraph`.

See also
  `CGAL::Surface_mesh_parameterization::Circular_border_parameterizer_3<TriangleMesh>`
  `CGAL::Surface_mesh_parameterization::Circular_border_uniform_parameterizer_3<TriangleMesh>`

## Protected Member Functions
virtual NT | compute_edge_length (const Triangle_mesh &mesh, vertex_descriptor source, vertex_descriptor target) const
| computes the length of an edge.

## Additional Inherited Members
Public Types inherited from CGAL::Surface_mesh_parameterization::Circular_border_parameterizer_3< TriangleMesh_ >
typedef TriangleMesh_ | Triangle_mesh
| Triangle mesh type.
typedef boost::graph_traits< Triangle_mesh >::vertex_descriptor | vertex_descriptor
| Mesh vertex type.
typedef boost::graph_traits< Triangle_mesh >::halfedge_descriptor | halfedge_descriptor
| Mesh halfedge type.
Public Member Functions inherited from CGAL::Surface_mesh_parameterization::Circular_border_parameterizer_3< TriangleMesh_ >
template<typename VertexUVmap , typename VertexIndexMap , typename VertexParameterizedMap >
Error_code | parameterize (const Triangle_mesh &mesh, halfedge_descriptor bhd, VertexUVmap uvmap, VertexIndexMap, VertexParameterizedMap vpmap)
| assigns to the mesh's border vertices a 2D position (i.e. a `(u,v)` pair) on the circle.
bool | is_border_convex () const
| indicates if border's shape is convex.

## Member Function Documentation

## ◆ compute_edge_length()

template<class TriangleMesh_ >

virtual NT CGAL::Surface_mesh_parameterization::Circular_border_arc_length_parameterizer_3< TriangleMesh_ >::compute_edge_length | ( | const Triangle_mesh & | mesh,
|  | vertex_descriptor | source,
|  | vertex_descriptor | target
| ) |  | const
| protected virtual

computes the length of an edge.

Arc-length border parameterization: `(u,v)` values are proportional to the length of border edges.

Implements CGAL::Surface_mesh_parameterization::Circular_border_parameterizer_3< TriangleMesh_ >.